

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui" template="/templatefront/template.xhtml">
	<ui:param name="page_name" value="Accueil" ></ui:param>
	<ui:define name="content">
	<h1>List Offers</h1>
	
	<h:link  outcome="/Reclamation/listReclamationbyUser?faces-redirect=true" value="afficher ma liste des reclamations"></h:link>
	
	<h:form>
		<h:dataTable value="#{offerBean.lo}" var="off" border="1">
			<h:column>
				<f:facet name="header">
					<h:outputText value="title offer" />
				</f:facet>
				<h:outputText value="#{off.titleOffer}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="contractTypeOffer" />
				</f:facet>
				<h:outputText value="#{off.contractTypeOffer}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="duration" />
				</f:facet>
				<h:outputText value="#{off.durationOffer}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="salary" />
				</f:facet>
				<h:outputText value="#{off.salary}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="ref" />
				</f:facet>
				<h:outputText value="#{off.referenceOffer}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="contractTypeOffer" />
				</f:facet>
				<h:outputText value="#{off.contractTypeOffer}" />
			</h:column>
			<h:column>
			<h:commandButton action="#{offerBean.reclamer(off.offerId)}" value="reclamer"></h:commandButton>
			
</h:column>
		</h:dataTable>
	</h:form>
	
	
	</ui:define>
</ui:composition>

